<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0-windows10.0.17763.0</TargetFramework>
        <RootNamespace>IOB_WIN_MTC</RootNamespace>
        <Nullable>enable</Nullable>
        <UseWindowsForms>true</UseWindowsForms>
        <ImplicitUsings>enable</ImplicitUsings>
        <Configurations>Debug;Release;Remote_DEBUG</Configurations>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="MTConnect.NET" Version="6.5.1" />
        <PackageReference Include="System.Text.Json" Version="8.0.5" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\IOB-UT-NEXT\IOB-UT-NEXT.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Update="Properties\Settings.Designer.cs">
            <DesignTimeSharedInput>True</DesignTimeSharedInput>
            <AutoGen>True</AutoGen>
            <DependentUpon>Settings.settings</DependentUpon>
        </Compile>
    </ItemGroup>

    <ItemGroup>
        <None Update="Properties\Settings.settings">
            <Generator>SettingsSingleFileGenerator</Generator>
            <LastGenOutput>Settings.Designer.cs</LastGenOutput>
        </None>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Properties\PublishProfiles\" />
    </ItemGroup>

    <Target Name="PostBuild" AfterTargets="PostBuildEvent">
        <Exec Command="&quot;$(ProjectDir)postBuildTgt.bat&quot; &quot;$(ConfigurationName)&quot; &quot;$(TargetDir)&quot;" />
    </Target>

</Project>